<marlin xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://ilcsoft.desy.de/marlin/marlin.xsd">
<execute>
    <processor name="ProgressProcessor" />
    <processor name="TimeSelection" />
    <processor name="LayerClusterProcessor" />
    <processor name="LayerEfficiency"/>
</execute>

<global>
    <parameter name="LCIOInputFiles"> /afs/cern.ch/user/c/cgrefe/scratch0/DHCAL/LCIO/dhcLcio-Run660356.slcio </parameter>
    <!-- limit the number of processed records (run+evt): -->  
    <parameter name="MaxRecordNumber" value="-1" />  
    <parameter name="SkipNEvents" value="0" />  
    <parameter name="SupressCheck" value="false" />  
    <parameter name="GearXMLFile"> </parameter>  
    <parameter name="Verbosity" options="DEBUG0-4,MESSAGE0-4,WARNING0-4,ERROR0-4,SILENT"> MESSAGE </parameter> 
    <parameter name="RandomSeed" value="1234567890" />
</global>

<processor name="ProgressProcessor" type="DhcalProgressProcessor">
    <parameter name="Interval" value="1000" />
</processor>

<processor name="TimeSelection" type="HitTimeSelectionProcessor">
	<parameter name="InputCollection"> DhcHits </parameter>
	<parameter name="OutputCollection"> TimeSelectedDhcHits </parameter>
	<parameter name="MinHitTime"> -1900 </parameter>
	<parameter name="MaxHitTime"> -1700 </parameter>
	<parameter name="Verbosity" > MESSAGE </parameter> 
</processor>

<processor name="LayerClusterProcessor" type="NNClusteringProcessor">
    <parameter name="InputCollections"> TimeSelectedDhcHits </parameter>
    <parameter name="OutputCollection"> LayerClusters </parameter>
    <parameter name="MaxDistanceUV" value="1" />
    <parameter name="MaxDistanceLayer" value="0" />
    <parameter name="Verbosity" > MESSAGE </parameter> 
</processor>


<processor name="LayerEfficiency" type="LayerEfficiencyProcessor">
    <parameter name="LayerClusterCollection"> LayerClusters </parameter>
    <parameter name="MaxClusterSize"> 3 </parameter>
    <parameter name="NLayerNeighbours"> 6 </parameter>
    <parameter name="MinLayerNeighbourMIPs"> 4 </parameter>
    <parameter name="MaxDistance"> 20 </parameter>
    <parameter name="MaxChiSquare"> 5 </parameter>
    <parameter name="RootFileName"> test.root </parameter>
    <parameter name="Verbosity" > DEBUG </parameter> 
</processor>

</marlin>
